Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Apr 2021 17:05:17 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Gregory Heytings <[email-masked]>,
>   [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 17 Apr 2021 15:39:04 +0200
> 
> > It is my understanding that Emacs is unusual in using the system bell
> > though.  It would be better to avoid it completely, even when that
> > setting is on.
> 
> I turned the volume up, and saying "lTAB" in the shell (in a Console
> window) then beeped audibly.  So the default here is to make sounds.
> And I just checked the same on my Apple laptop -- the shell there also
> beeps a lot.

That is my experience as well: programs make sounds nowadays all the
time, and one needs to customize the system to make them shut up.